Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | Static Private Member Functions | List of all members
eZSOAPServer Class Reference
SOAP communication library

The class eZSOAPServer handles SOAP server requensts. More...

## Public Member Functions
| __construct ()
| showResponse ( $functionName, $namespaceURI, $value)
| registerObject ( $objectName, $includeFile=null)
| processRequest ()
| registerFunction ( $name, $params=array())

## Public Attributes
| $FunctionList
| Contains a list over registered functions. More...
| $RawPostData
| Contains the RAW HTTP post data information. More...

## Static Private Member Functions
| stripHTTPHeader ( $data)

## Detailed Description

The class eZSOAPServer handles SOAP server requensts.

Sample code for a SOAP server with one function, addNumbers.

$server = new eZSOAPServer( );
$server->registerFunction( "addNumbers", array( "valueA" => "integer", "valueB" => "integer" ) );
$server->registerObject( "Collection" );
$server->processRequest();
function addNumbers( $valueA, $valueB )
{
$return = $valueA + $valueB;
settype( $return, "integer" );
return $return;
}
class Collection
{
function Collection ()
{
}
function subNumbers( $valueA, $valueB )
{
$return = $valueA - $valueB;
settype( $return, "integer" );
return $return;
}
}
eZSOAPServer
The class eZSOAPServer handles SOAP server requensts.
Definition: ezsoapserver.php:50

See also
  eZSOAPClient eZSOAPRequest eZSOAPResponse

Definition at line 49 of file ezsoapserver.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZSOAPServer::__construct | ( |  | ) |

Definition at line 51 of file ezsoapserver.php.

## Member Function Documentation

## ◆ processRequest()

eZSOAPServer::processRequest | ( |  | ) |

Processes the SOAP request and prints out the propper response.

Definition at line 105 of file ezsoapserver.php.

References eZSOAPResponse\decodeDataTypes(), showResponse(), and stripHTTPHeader().

## ◆ registerFunction()

eZSOAPServer::registerFunction | ( |  | $name,
|  |  | $params = `array()`
| ) |  |

Registers a new function on the server.

Returns false if the function could not be registered.

Definition at line 202 of file ezsoapserver.php.

Referenced by registerObject().

## ◆ registerObject()

eZSOAPServer::registerObject | ( |  | $objectName,
|  |  | $includeFile = `null`
| ) |  |

Registers all functions of an object on the server.

Returns false if the object could not be registered.

Definition at line 80 of file ezsoapserver.php.

References registerFunction().

## ◆ showResponse()

eZSOAPServer::showResponse | ( |  | $functionName,
|  |  | $namespaceURI,
|  |  | $value
| ) |  |

Definition at line 57 of file ezsoapserver.php.

Referenced by processRequest().

## ◆ stripHTTPHeader()

eZSOAPServer::stripHTTPHeader | ( |  | $data | ) |
| static private

Strips the header information from the HTTP raw response.

Definition at line 213 of file ezsoapserver.php.

Referenced by processRequest().

## Member Data Documentation

## ◆ $FunctionList

eZSOAPServer::$FunctionList

Contains a list over registered functions.

Definition at line 220 of file ezsoapserver.php.

## ◆ $RawPostData

eZSOAPServer::$RawPostData

Contains the RAW HTTP post data information.

Definition at line 222 of file ezsoapserver.php.

The documentation for this class was generated from the following file:

- ezsoapserver.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.